Add xTesting packaging and Offline execution support 68/7468/5
authoreprasad <prasad.mukhedkar@est.tech>
Wed, 10 Feb 2021 12:10:55 +0000 (12:10 +0000)
committerPrasad Mukhedkar <prasad.mukhedkar@est.tech>
Wed, 10 Feb 2021 15:37:22 +0000 (15:37 +0000)
This change request adds packaging and offline execution support for xtesting in release job.

Change-Id: I3ba64388cf9a14e99d7a2eea4137d8f91a4cf03d

jjb/cloud-infra/engine-macros.yaml
jjb/cloud-infra/onap-jobs/onap-release-jobs.yaml
jjb/cloud-infra/onap-jobs/onap-verify-deploy-test.yaml
jjb/cloud-infra/scripts/test-package.sh [new file with mode: 0644]
jjb/cloud-infra/scripts/xtesting-healthcheck.sh
jjb/cloud-infra/scripts/xtesting-infra-healthcheck.sh

index 8a37b9424f26c5ea5ad16bcc068b213983585d41..5ecfe3f5f1bbc3f5ec52e1d09aaac8aaa953a98d 100644 (file)
       - shell:
           !include-raw: ./scripts/package.sh
 
+- builder:
+    name: 'test-package-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/test-package.sh
+
 - builder:
     name: 'upload-artifact-macro'
     builders:
index c054a09a0f0e431fe28bb50e21471709b23490c6..fadfc4a4e9211cbe8011b38342a3f982510969ab 100644 (file)
@@ -80,6 +80,7 @@
     jobs:
       - 'onap-release-{distro}-{stream}'
       - 'onap-package-{distro}-{stream}'
+      - 'onap-test-package-{distro}-{stream}'
       - 'onap-promote-{distro}-{stream}'
 
 
               property-file: "$WORKSPACE/release.properties"
               kill-phase-on: FAILURE
               abort-all-job: true
+      - multijob:
+          name: Test Framework Packaging
+          condition: SUCCESSFUL
+          execution-type: PARALLEL
+          projects:
+            - name: 'onap-package-test-{distro}-{stream}'
+              current-parameters: false
+              git-revision: true
+              node-parameters: true
+              property-file: "$WORKSPACE/release.properties"
+              kill-phase-on: FAILURE
+              abort-all-job: true
       - multijob:
           name: Release Test {deploy-scenario}
           condition: SUCCESSFUL
       - 'package-macro'
       - 'upload-artifact-macro'
 
+
+- job-template:
+    name: 'onap-test-package-{distro}-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - string:
+          name: EXECUTION_MODE
+          default: 'packaging'
+          description: 'Execution mode to run engine'
+
+    properties:
+      - logrotate
+
+    wrappers:
+      - build-timeout:
+          timeout: 300
+      - credentials-binding:
+          - username-password-separated:
+              credential-id: 'nordix-cicd-arm-credentials'
+              username: NORDIX_ARM_USERNAME
+              password: NORDIX_ARM_TOKEN
+      - mask-passwords
+      - fix-workspace-permissions
+
+    scm:
+      - git:
+          url: https://gerrit.nordix.org/infra/test.git
+          branches:
+            - master
+          timeout: 15
+          wipe-workspace: true
+
+    builders:
+      - 'test-package-macro'
+      - 'upload-artifact-macro'
+
 - job-template:
     name: 'onap-promote-{distro}-{stream}'
 
 
     builders:
       - 'promote-macro'
+
index e6f6a52317c99b5a98eea96b97a62b35db1c24dc..f84d601dc67a0506a0ca14aa5f2f41662b58e950 100644 (file)
       - fix-workspace-permissions
 
     builders:
+      - 'download-deploy-artifact-macro'
+      - 'xtesting-healthcheck-macro'
       - 'xtesting-infra-healthcheck-macro'
 
 - job-template:
       - fix-workspace-permissions
 
     builders:
+      - 'wait-pkg-mgr-macro'
+      - 'download-deploy-artifact-macro'
       - 'xtesting-healthcheck-macro'
 
diff --git a/jjb/cloud-infra/scripts/test-package.sh b/jjb/cloud-infra/scripts/test-package.sh
new file mode 100644 (file)
index 0000000..ef20ad0
--- /dev/null
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2021 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o pipefail
+
+# NOTE (fdegir): we need to remove $WORKSPACE and clone infra/engine repository
+# as infra/engine is what drives the deployment
+if [[ "$GERRIT_PROJECT" != "infra/test" ]]; then
+  cd "$HOME" && /bin/rm -rf "$WORKSPACE"
+  echo "Info : Cloning infra/engine repository"
+  git clone -q https://gerrit.nordix.org/infra/test.git "$WORKSPACE"
+  cd "$WORKSPACE"
+fi
+
+# NOTE (fdegir): this variable is set by generate-change-metadata.sh script
+# if a dependency to engine repo is determined so we check out that refspec
+# to ensure we respect the dependency
+if [[ ! -z "${NORDIX_ENGINE_REFSPEC+x}" ]]; then
+  echo "Info  : Fetching dependent change ${NORDIX_ENGINE_REFSPEC} infra/engine"
+  git fetch "https://gerrit.nordix.org/infra/test" ${NORDIX_ENGINE_REFSPEC} && git checkout FETCH_HEAD
+fi
+
+echo "Info  : Packaging stack $STACK_TYPE"
+
+cd "$WORKSPACE/test"
+./package.sh -s "$STACK_TYPE" -b "$STACK_VERSION" -d "$DISTRO" -v
+
+# vim: set ts=2 sw=2 expandtab:
+
index 7305a14c0f584df0d415d84139392762a83645c9..ad46583ed103013a285a2b38c527dba3e4659887 100755 (executable)
@@ -25,8 +25,6 @@ echo "Info  : Cloning infra/test repository"
 cd $HOME && /bin/rm -rf $WORKSPACE
 git clone -q $TEST_REPO_URL $WORKSPACE
 
-# Note (eprasad): Set execution mode
-export EXECUTION_MODE=online-test
 
 cd $WORKSPACE/test
 ./test.sh -s "$STACK_TYPE" -b "$BRANCH" -c "$DEPLOY_SCENARIO" -f "$TEST_FW" -t "$TEST_SUITE" \
index 4ec460376133b0c31cf2ccdc90725021f793e29b..ad46583ed103013a285a2b38c527dba3e4659887 100755 (executable)
@@ -26,10 +26,6 @@ cd $HOME && /bin/rm -rf $WORKSPACE
 git clone -q $TEST_REPO_URL $WORKSPACE
 
 
-# Note (eprasad): Set execution mode
-export EXECUTION_MODE=online-test
-
-
 cd $WORKSPACE/test
 ./test.sh -s "$STACK_TYPE" -b "$BRANCH" -c "$DEPLOY_SCENARIO" -f "$TEST_FW" -t "$TEST_SUITE" \
     -o /tmp/openrc -i /tmp/inventory.ini -y -v